Bug 101012 - Category UI in Item authoring has javascript errors
Category UI in Item authoring has javascript errors
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
:
Depends On:
Blocks: 98546
  Show dependency treegraph
 
Reported: 2003-07-28 11:35 EDT by Jon Orris
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 16:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-07-28 11:35:54 EDT
Description of problem:
@34022/Postgres

The UI has javascript errors, which tends to make E-Tester unhappy. Assigning
categories doesn't always work.

Blocks testing
Comment 1 Jon Orris 2003-07-28 11:36:40 EDT
Mozilla complains that Category5031 doesn't exist.

      document.write(Category5031.toHTML());
      document.write('<STYLE TYPE="text/css">');
      document.write(".hideWithJavascript {display: none}");
      document.write("</STYLE>");
Comment 2 Vadim Nasardinov 2003-07-28 14:20:10 EDT
I don't know if what I'm seeing is related or not.

1. Assign an article to "Root->Computers->Hardware".
2. Select the "Root->Computers->Hardware" category from the text area
   on the right, and click "Remove".  The category is removed.
3. Assign the article to "Root->Computers->Software".  The "R->C->Software"
   category appears in the textarea on the right, and the previously
   removed "R->-C>Hardware" category *reappears*.  So, the end result
   is that the article is now assigned to both "Software" and "Hardware",
   even though the intent was to only assign it to "Software".

Problem:  the spuriously reappearing, previously removed category "Hardware".
Comment 3 Jon Orris 2003-07-28 16:27:03 EDT
The following shows up in my log whenever the Category step of authorng is
selected. Tomcat 4.0.6.

Note, this is definitely blocking testing. Several E-Tester scripts hang.

org.apache.jasper.compiler.ParseException:
/packages/content-section/www/generate-category-javascript.jsp(1,2) The markup
in the document preceding the root element must be well-formed.
        at org.apache.jasper.compiler.ParserXJspSax.parse(ParserXJspSax.java:195)
        at
org.apache.jasper.compiler.ParserController.parse(ParserController.java:212)
        at org.apache.jasper.compiler.Compiler.compile(Compiler.java:210)
        at org.apache.jasper.servlet.JspServlet.loadJSP(JspServlet.java:548)
        at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.loadIfNecessary(JspServlet.java:176)
        at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.service(JspServlet.java:188)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:381)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:473)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
        at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
        at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:431)
        at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
        at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
        at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
        at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
        at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
  
Comment 4 Jon Orris 2003-07-28 16:55:35 EDT
Appears to be fixed @34045. Leaving in QA_READY until entirely re-tested.

Note You need to log in before you can comment on or make changes to this bug.